<div class="block imagestream">
<h1><?= $this->translate('Image stream'); ?></h1>
<? $this->defaultImageSize = $this->imageSize; ?>
<? foreach($this->images as $image): ?>
	<? if(null === $image->{$this->imageSize}) { $this->imageSize = 'Small'; } ?>
	<a href="<?= $image->{$this->imageSize}->clickUri; ?>"
	   title="<?= $this->translate('Image source'); ?>">
		<img src="<?= $image->{$this->imageSize}->uri; ?>"
		     alt="<?= $this->translate('Off-site image'); ?>" />
	</a>
	<? $this->imageSize = $this->defaultImageSize; ?>
<? endforeach; ?>
	<? if($this->allowEdit || $this->allowDelete): ?>
	<sub class="options">
		<? if($this->allowEdit): ?>
		<a href="<?= $this->url($this->urlParams, 'Imagestream_EditStream'); ?>"
		   title="<?= $this->translate('Edit this block'); ?>"
		><?= $this->translate('Edit'); ?></a>
		<? endif; if($this->allowDelete): ?>
		<a href="<?= $this->url($this->urlParams, 'Imagestream_DeleteStream'); ?>"
		   title="<?= $this->translate('Delete this block'); ?>"
		><?= $this->translate('Delete'); ?></a>
		<? endif; ?>
	</sub>
	<? endif; ?>
</div>